> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketflows.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check the sendability of a campaign



## OpenAPI

````yaml /openapi.json post /campaigns/{id}/check_sendability
openapi: 3.0.3
info:
  title: Pocketflows API
  version: 0.0.4
servers:
  - url: https://api.pocketflows.com
    description: Production server
security:
  - HttpBasicAuth: []
paths:
  /campaigns/{id}/check_sendability:
    post:
      tags:
        - Campaigns
      summary: Check the sendability of a campaign
      parameters:
        - in: path
          name: id
          schema:
            type: string
          description: The ID of the campaign
          required: true
      responses:
        '200':
          description: The sendability of the campaign
          content:
            application/json:
              schema:
                type: object
                properties:
                  sendable:
                    type: boolean
                    description: Whether the campaign is sendable
                  errors:
                    type: object
                    properties:
                      business_missing_variables:
                        type: array
                        items:
                          type: string
                        description: The missing variables for the business
                      campaign_missing_variables:
                        type: array
                        items:
                          type: string
                        description: The missing variables for the campaign
                      customers_missing_variables:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              description: The ID of the customer
                            missing_variables:
                              type: array
                              items:
                                type: string
                              description: The missing variables for the customer
                          required:
                            - id
                            - missing_variables
                        description: The missing variables for the customers
                      unknown_variables:
                        type: array
                        items:
                          type: string
                        description: The unknown variables in the campaign
                    required:
                      - business_missing_variables
                      - campaign_missing_variables
                      - customers_missing_variables
                      - unknown_variables
                    description: >-
                      The errors if the campaign is not sendable. Only returned
                      if `sendable` is `false`
                required:
                  - sendable
components:
  securitySchemes:
    HttpBasicAuth:
      type: http
      scheme: basic

````